Bosquejo de forma de cadena

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft ShapeString and the translation is 24% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Point.svg Point
Next: Facebinder Draft Facebinder.svg Arrow-right.svg

Official icon not found Draft ShapeString/es

Ubicación en el Menú
Borrador -> Bosquejar forma de cadena
Entornos de trabajo
Borrador, Arquitectura
Atajo de teclado por defecto
S S
Introducido en versión
-
Ver también
Draft Text, Part Extrude


Descripción

La herramienta forma de cadena, inserta una forma compuesta representando una cadena de texto a un punto dado en el actual documento. Altura, trayectoria y fuente pueden ser definidas.

To insert a simpler text element without a closed shape use Draft Text. To create a text label with a lead and an arrow use Draft Label.

Draft ShapeString Example400.png

Draft ShapeString Example400.png

Como utilizar

  1. Presiona el boton Draft ShapeString16.png Draft Shape from text ... o presiona la tecla S luego S
  2. Cliquea en un punto sobre la vista 3D o escribe una coordenada coordenada
  3. Ingresa el texto deseado y presiona ENTER
  4. Ingresa el tamaño deseado y presiona ENTER
  5. Ingresa la trayectoria deseada y presiona ENTER
  6. Presiona ENTER para aceptar el archivo fuente mostrado ó
  7. Presiona ... para seleccionar el archivo fuente.

SSFontSelect.png

If your Draft interface mode is set to TaskView:

  1. Press the Draft ShapeString16.png Draft ShapeString button, or press S then S keys.
  2. A dialog will appear where you can specify your parameters.
  3. Press OK to create the ShapeString.


  • The text, size, tracking, and font can be changed after creation, by modifying the values in the Property Editor.
  • You will want to set the default font file in Draft Preferences, in the Texts and dimensions tab. This will prefill the font file box in the dialog.
  • Supported fonts include TrueType (.ttf), OpenType (.otf), and Type 1 (.pfb).

Limitations

  • Very small text heights may result in deformed character shapes due to loss of detail in scaling.
  • The current version is limited to left-to-right writing.
  • To create text arranged in a circular fashion use the FCCircularTextButtom.png Circular Text macro.

Opciones

  • Para ingresar coordenadas manualmente, simplemente ingresa los numeros, luego ENTER entre cada componente X,Y y Z.
  • Presionando ESC cancelará la operación.
  • Puedes ajustar un archivo fuente predeterminado en Draft/Preferencias.

Propiedades

  • DATAPosition: El punto base del compuesto
  • DATAString: Los contenidos del texto
  • DATASize: La altura de las letras en unidades de FreeCAD
  • DATATracking: El espacio adicional entre los caracteres en unidades de FreeCAD
  • DATAFont File: El archivo fuente utilizado para dibujar el texto

Programación

Esta herramienta se puede utilizar en macros y desde la consola de Python mediante las siguientes funciones:

ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)
  • Convierte un texto en un compuesto usando la fuente especificada.

The placement of the ShapeString can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Ejemplo:

import FreeCAD, Draft

font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
font2 = "/usr/share/fonts/truetype/dejavu/DejaVuSerif.ttf"
font3 = "/usr/share/fonts/truetype/freefont/FreeSerifItalic.ttf"

S1 = Draft.makeShapeString("This is a sample text", font1, 200)

S2 = Draft.makeShapeString("Inclined text", font2, 200, 10)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(-1000, 500, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 45))
S2.Placement = place2

S3 = Draft.makeShapeString("Upside-down text", font3, 200, 10)
S3.Placement.Base = FreeCAD.Vector(0, -1000, 0)
S3.Placement.Rotation = FreeCAD.Rotation(ZAxis, 180)

Tutorials

Arrow-left.svg Previous: Draft Point.svg Point
Next: Facebinder Draft Facebinder.svg Arrow-right.svg